<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <h1>Login</h1>
    <form id="form">
        <label>Username
        <input type="text" id="username" /></label>
        <br>
        <label>Password
            <input type="password" id="password" /></label><br>
        <button type="submit">Submit</button>
    </form>
    <a href="/signup/index.html">Sign Up here</a>
    <script>
        function submitForm(e) {
            e.preventDefault();
            e.stopPropagation();
            var valUsername = document.getElementById("username").value;
            var valPassword = document.getElementById("password").value;

            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {
                    var authorizationResponseHeader = xhttp.getResponseHeader("Authorization");
                    var token = authorizationResponseHeader.split(" ")[1];
                    localStorage.setItem("token", token);
                    window.location.replace("/interface/index.html");
                }
            };
            xhttp.open("POST", "/login", true);
            xhttp.setRequestHeader("Content-Type", "application/json");
            xhttp.send(JSON.stringify({
                username: valUsername,
                password: valPassword
            }));
        }

        var form = document.getElementById("form");
        form.addEventListener("submit", submitForm);
    </script>
</body>
</html>